## org.apache.lucene.analysis.ru
Class RussianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.util.StopwordAnalyzerBase
              org.apache.lucene.analysis.ru.RussianAnalyzer

All Implemented Interfaces:
  Closeable

    public final class RussianAnalyzer

extends StopwordAnalyzerBase

`Analyzer` for Russian language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

You must specify the required `Version` compatibility when creating RussianAnalyzer:

- As of 3.1, StandardTokenizer is used, Snowball stemming is done with SnowballFilter, and Snowball stopwords are used by default.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Field Summary
`static String` `DEFAULT_STOPWORD_FILE` File containing default Russian stopwords.

Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`RussianAnalyzer(Version matchVersion)`
`RussianAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words
`RussianAnalyzer(Version matchVersion, CharArraySet stopwords, CharArraySet stemExclusionSet)` Builds an analyzer with the given stop words

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static CharArraySet` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Russian stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### RussianAnalyzer

    public RussianAnalyzer(Version matchVersion)

### RussianAnalyzer

    public RussianAnalyzer(Version matchVersion,
                           CharArraySet stopwords)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

### RussianAnalyzer

    public RussianAnalyzer(Version matchVersion,
                           CharArraySet stopwords,
                           CharArraySet stemExclusionSet)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a set of words not to be stemmed

Method Detail

### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

  Returns an unmodifiable instance of the default stop-words set.

  Returns:
    an unmodifiable instance of the default stop-words set.

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `Analyzer`
  Returns:
    `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `StopFilter` , `KeywordMarkerFilter` if a stem exclusion set is provided, and `SnowballFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.